Bug 153135 - [PATCH] allow net/mediatomb to work version of MySQL other than 5.0
[PATCH] allow net/mediatomb to work version of MySQL other than 5.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Steve Wills
Depends on:
  Show dependency treegraph
Reported: 2010-12-14 00:50 UTC by steve
Modified: 2010-12-29 02:30 UTC (History)
0 users

See Also:

file.diff (563 bytes, patch)
2010-12-14 00:50 UTC, steve
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description steve 2010-12-14 00:50:13 UTC
The net/mediatomb port is hard coded to use MySQL 5.0. The attached patch should allow it to work with other versions. Versions 3.2.3, 4.0 and 4.1 are excluded since I'm guessing they won't work, but 5.0, 5.1, and 5.5 are allowed. Testing is needed, but I think they should work OK. This is particularly important because 5.1 is now default, so I think a lot of users will have that.

Fix: See attached patch.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-12-14 00:50:17 UTC
Maintainer of net/mediatomb,

Please note that PR ports/153135 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:

Edwin Groothuis via the GNATS Auto Assign Tool
Comment 2 Edwin Groothuis freebsd_committer 2010-12-14 00:50:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Tilman Keskinoz freebsd_committer 2010-12-28 13:54:16 UTC
State Changed
From-To: feedback->open

Maintainer timeout 

Over to submitter 

Comment 4 Tilman Keskinoz freebsd_committer 2010-12-28 13:54:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

Maintainer timeout 

Over to submitter
Comment 5 dfilter freebsd_committer 2010-12-29 02:26:40 UTC
swills      2010-12-29 02:26:35 UTC

  FreeBSD ports repository

  Modified files:
    net/mediatomb        Makefile 
  - Allow build with MySQL 5.1 and higher
  PR:             ports/153135
  Submitted by:   swills (myself)
  Approved by:    wxs (mentor)
  Revision  Changes    Path
  1.18      +2 -1      ports/net/mediatomb/Makefile
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Steve Wills freebsd_committer 2010-12-29 02:27:33 UTC
State Changed
From-To: open->closed

Committed. Thanks!